
QGIS Application - Bug report #17156

Some features not drawn using Oracle as data source

2017-09-18 12:43 PM - Casper Børgesen

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:2.18.12 Regression?: No

Operating System: windows 7 + 10 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 25055

Description

I have some coast line features stored in a Oracle database and I'm trying to show them in QGIS. See the attached image for an

example.

I then right-click on the Oracle layer and select 'Save as' and save everything to a SHAPE file. I have dropped the SHAPE file below the

Oracle layer in the layer panel.

In the example you can see which features QGIS renders from the Oracle layer (green) and the remaining from the SHAPE layer (red).

I would expect QGIS to render all features. What is missing here?

I have tried the same using QGIS 2.14.18 and 2.14.19 and they crashes when adding the Oracle layer. QGIS 2.18.13 does the same as

2.18.12 and so does MASTER (01468d0879).

History

#1 - 2017-09-18 07:36 PM - Giovanni Manghi

- Priority changed from High to Normal

- Crashes QGIS or corrupts data changed from Yes to No

Just making some guess here... in layer properties do you have the on the fly simplification enabled? are th geometries valid? 

https://docs.oracle.com/cd/E17952_01/mysql-5.7-en/spatial-convenience-functions.html#function_st-isvalid

#2 - 2017-09-19 08:09 AM - Casper Børgesen

Giovanni Manghi wrote:

Just making some guess here... in layer properties do you have the on the fly simplification enabled? are th geometries valid? 

https://docs.oracle.com/cd/E17952_01/mysql-5.7-en/spatial-convenience-functions.html#function_st-isvalid

According to FME all features are valid (GeometryValidator with all selected).

Simplification has been turned off in settings and thats probably why its also disabled in the layer properties. I have disabled parallel rendering too.

I haven't changed anything and the problem still persists.
#3 - 2017-09-19 09:18 AM - Giovanni Manghi

- Status changed from Open to Feedback

Casper Børgesen wrote:

Giovanni Manghi wrote:

Just making some guess here... in layer properties do you have the on the fly simplification enabled? are th geometries valid? 

https://docs.oracle.com/cd/E17952_01/mysql-5.7-en/spatial-convenience-functions.html#function_st-isvalid

According to FME all features are valid (GeometryValidator with all selected).

Simplification has been turned off in settings and thats probably why its also disabled in the layer properties. I have disabled parallel rendering too.

I haven't changed anything and the problem still persists.

What about if you re-import the shapefile into the DB? Any chance to attach here the data (I personally have no chance these days to try setup an Oracle

instance)?

#4 - 2017-09-19 09:57 AM - Casper Børgesen

- Status changed from Feedback to Open

Giovanni Manghi wrote:

Casper Børgesen wrote:

Giovanni Manghi wrote:

Just making some guess here... in layer properties do you have the on the fly simplification enabled? are th geometries valid? 

https://docs.oracle.com/cd/E17952_01/mysql-5.7-en/spatial-convenience-functions.html#function_st-isvalid

According to FME all features are valid (GeometryValidator with all selected).

Simplification has been turned off in settings and thats probably why its also disabled in the layer properties. I have disabled parallel rendering too.

I haven't changed anything and the problem still persists.

What about if you re-import the shapefile into the DB? Any chance to attach here the data (I personally have no chance these days to try setup an

Oracle instance)?

I don't have access to re-import the shapefile into the database.

#5 - 2017-09-19 10:06 AM - Casper Børgesen

I zoom to an area containing features that are not rendered. I select (by area) both features which area rendered and features which are not rendered. The

features which are rendered are shown as selected. I right click the layer and select "save as" and save only the selected features to as shape file. The

shape file contains both the rendered and the not rendered features.
My reason for doing this is to try to eliminate the database if possible. I hope that by selecting a subset of features and saving them, what I actually is

saving are the features stored in memory and not acquired directly from the database. I'm not sure though if this is true.

#6 - 2017-09-19 07:47 PM - Giovanni Manghi

- Status changed from Open to Feedback

Casper Børgesen wrote:

I zoom to an area containing features that are not rendered. I select (by area) both features which area rendered and features which are not

rendered. The features which are rendered are shown as selected. I right click the layer and select "save as" and save only the selected features to

as shape file. The shape file contains both the rendered and the not rendered features.

My reason for doing this is to try to eliminate the database if possible. I hope that by selecting a subset of features and saving them, what I actually

is saving are the features stored in memory and not acquired directly from the database. I'm not sure though if this is true.

can you attach the (part of) shapefile that concerns the problematic features?

#7 - 2017-09-20 08:42 AM - Casper Børgesen

- File qgis_oracle_missing_rendering.prj added

- Status changed from Feedback to Open

- File qgis_oracle_missing_rendering.shx added

- File qgis_oracle_missing_rendering.shp added

- File qgis_oracle_missing_rendering.qpj added

- File qgis_oracle_missing_rendering.dbf added

- File overview.jpg added

Giovanni Manghi wrote:

can you attach the (part of) shapefile that concerns the problematic features?

I can attach the SHAPE file I created by selecting the not-rendered features. I have also attached an image showing what is included in the SHAPE file and

what is not:

- Blue is from the Oracle database (not included in the SHAPE file).

- Yellow is the default selection color and highlights the visible features from the Oracle database that I have selected (these are included in the SHAPE

file).

- Brown is the non-rendered Oracle features which are selected (though not visible, since they would then be yellow) and they are included in the SHAPE

file.

#8 - 2017-09-21 11:44 AM - Giovanni Manghi

The vector imported in PostGIS shows just fine.

#9 - 2017-09-22 12:50 PM - Casper Børgesen
Giovanni Manghi wrote:

The vector imported in PostGIS shows just fine.

Is it possible somehow to make QGIS (master?) provide some information as to why it doesn't want to show them? Maybe it never receives the features or

maybe something is wrong with what i does receive?

#10 - 2018-04-21 01:43 PM - Nyall Dawson

- Status changed from Open to Feedback

Can you attach WKT or the Oracle geoemtry definition for the features which are missing?

#11 - 2018-04-23 08:21 AM - Casper Børgesen

Nyall Dawson wrote:

Can you attach WKT or the Oracle geoemtry definition for the features which are missing?

Hi Nyall.

I tried looking into this again, but I cannot reproduce the issue any more (neither in 2.18.18 or master). So I guess you can close this issue (since I cannot).

Thanks for following up on it!

#12 - 2018-04-23 07:25 PM - Nyall Dawson

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Files

qgis_missing.PNG 68.9 KB 2017-09-18 Casper Børgesen

overview.jpg 24.1 KB 2017-09-20 Casper Børgesen

qgis_oracle_missing_rendering.dbf 2.51 MB 2017-09-20 Casper Børgesen

qgis_oracle_missing_rendering.prj 388 Bytes 2017-09-20 Casper Børgesen

qgis_oracle_missing_rendering.qpj 656 Bytes 2017-09-20 Casper Børgesen

qgis_oracle_missing_rendering.shp 2.39 MB 2017-09-20 Casper Børgesen

qgis_oracle_missing_rendering.shx 7.35 KB 2017-09-20 Casper Børgesen
